IcedTea-Web NetX

## net.sourceforge.jnlp.util
Enum ImageResources

    java.lang.Object
      java.lang.Enum<ImageResources>
          net.sourceforge.jnlp.util.ImageResources

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ImageResources>

    public enum ImageResources

extends java.lang.Enum<ImageResources>

Enum Constant Summary
`INSTANCE`

Method Summary
`java.util.List<java.awt.Image>` `getApplicationImages()` Returns an appropriate image, or null if there are errors loading the image.
`static ImageResources` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ImageResources[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INSTANCE

    public static final ImageResources INSTANCE

Method Detail

### values

    public static ImageResources[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ImageResources c : ImageResources.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ImageResources valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getApplicationImages

    public java.util.List<java.awt.Image> getApplicationImages()

  Returns an appropriate image, or null if there are errors loading the image.

IcedTea-Web NetX

Submit a bug or feature